# Paessler PRTG Data Hub rules directory

Place your forwarding rules in this directory.

## Example rules

**new** Example rules for different use cases are provided in `/opt/paessler/datahub/doc/examples/`.

## Validate rule sets

You can use the [JSON schema](./rule-set.schema.json) that we provide to validate your rule set,
or use the datahub CLI subcommand:

```sh
datahub validate rule-set ${path-to-your-rule-set}
```

## Apply rule sets

Paessler PRTG Data Hub applies rule sets at program start. To apply new or changed rules, restart the systemd service:

```sh
sudo systemctl restart paessler.datahub.service
```
